<template>
  <v-container fluid>
    <v-row dense>
      <v-col cols="12">
        <v-card>
          <v-toolbar dense color="secondary">
            <v-icon>mdi-account</v-icon>
            <v-toolbar-title>Заполните профиль</v-toolbar-title>
          </v-toolbar>
          <v-card-text>
            <v-row>
              <v-col cols="12">
                <v-text-field v-model="firstName" label="Имя" type="text" outlined hide-details />
              </v-col>
              <v-col cols="12">
                <v-text-field v-model="lastName" label="Фамилия" type="text" outlined hide-details />
              </v-col>
              <v-col cols="12">
                <v-btn small color="primary" block @click="save">Сохранить</v-btn>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">

import Vue from "vue";
import Component from "vue-class-component";
import { Prop } from "vue-property-decorator";
import { ProfileCreateRequest } from "@/domain/request/profile/ProfileCreateRequest";

@Component({})
export default class ProfileNotFound extends Vue {
  @Prop({
    required: true,
    type: String
  })
  private readonly userId!: string;

  private readonly firstName: string = '';
  private readonly lastName: string = '';

  private async save (): Promise<void> {
    await this.$store.dispatch('profile/create', {
      firstName: this.firstName,
      lastName: this.lastName,
      userId: this.userId
    } as ProfileCreateRequest);
  }
}

</script>

<style scoped>

</style>
